Mailinglist Archive: opensuse-updates (142 mails)

< Previous Next >
openSUSE-RU-2019:1784-1: moderate: Recommended update for pure-ftpd
openSUSE Recommended Update: Recommended update for pure-ftpd
______________________________________________________________________________

Announcement ID: openSUSE-RU-2019:1784-1
Rating: moderate
References: #1119187 #1136997 #547578
Affected Products:
openSUSE Backports SLE-15
______________________________________________________________________________

An update that has three recommended fixes can now be
installed.

Description:

This update for pure-ftpd fixes the following issues:

- Add missing run-time dependency on system-user-ftp to ensure that user
exits. [boo#1136997]
- Add a configuration option that sets the process memory limit used by
"ls" for globbing. The value can be specified as optional third argument
to "-L" (or LimitRecursion in config file). Because it's optional, the
old configuration files will still work without change with new binaries
and update will be smooth. This change allows sites that store an
extremely large set of files inside a single directory to tune their
installation so that the "ls" command in that directory will succeed
without exceeding the ftpd process memory limit. [boo#1119187]


This update was imported from the openSUSE:Leap:15.0:Update update project.


Patch Instructions:

To install this openSUSE Recommended Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Backports SLE-15:

zypper in -t patch openSUSE-2019-1784=1



Package List:

- openSUSE Backports SLE-15 (aarch64 ppc64le s390x x86_64):

pure-ftpd-1.0.47-bp150.3.3.1


References:

https://bugzilla.suse.com/1119187
https://bugzilla.suse.com/1136997
https://bugzilla.suse.com/547578


< Previous Next >
This Thread
  • No further messages